<?php
/**
 * Customizer - Panel
 * 
 * @package Struninn YouTube
 * 
 * @since 1.0.0
 * 
 * @author Odin Design Themes (https://odindesignthemes.com/)
 * 
 */

if (!function_exists('struninnyoutube_customizer_panel')) {
  /**
   * Creates the customizer main panel
   * 
   * @param WP_Customize_Manager $wp_customize    Customize Manager instance.
   */
  function struninnyoutube_customizer_panel($wp_customize) {
    /**
     * Panel
     */
    $wp_customize->add_panel('struninnyoutube_customizer', [
      'title'       => esc_html_x('Struninn for YouTube', '(Customizer) Struninn YouTube Panel - Title', 'struninnyoutube_subcount'),
      'description' => esc_html_x('From here, you can customize plugin options.', '(Customizer) Struninn YouTube Panel - Description', 'struninnyoutube_subcount'),
      'priority'    => 500
    ]);
  }
}

add_action('customize_register', 'struninnyoutube_customizer_panel');

?>