import React from 'react';

import IconMap from '../../icon/IconMap';
import IconYouTube from '../../icon/IconYouTube';

const SubscriberCountV2 = (props) => {
  return (
    <div className="struninnyoutube-subscriber-count-box struninnyoutube-subscriber-count-box_v2">
      <div className="struninnyoutube-icon-map-wrap">
        <IconMap />
      </div>

      <div className="struninnyoutube-subscriber-count-box-content">
        <IconYouTube />

        <p className="struninnyoutube-subscriber-count-text">{props.data.statistics.subscriberCount}</p>
        <p className="struninnyoutube-subscriber-live-count-text">{struninnyoutubeSubcountTranslation.subscribers_live_count}</p>

        <div className="struninnyoutube-channel-box">
          <div className="struninnyoutube-channel-details">
            <img className="struninnyoutube-channel-avatar" src={props.data.snippet.thumbnails.default.url}></img>
            <p className="struninnyoutube-channel-name">{props.data.snippet.title}</p>
          </div>

        {
          !props.hideSubscribeButton &&
            <a className="struninnyoutube-button struninnyoutube-button_small" href={struninnyoutubeSubcountConstants.channelSubscribeURL} target="_blank">{struninnyoutubeSubcountTranslation.subscribe}</a>
        }
        </div>
      </div>
    </div>
  );
};

export { SubscriberCountV2 as default };