import React from 'react';

import IconMap from '../../icon/IconMap';

const SubscriberCountV4 = (props) => {
  return (
    <div className="struninnyoutube-subscriber-count-box struninnyoutube-subscriber-count-box_v4">
      <div className="struninnyoutube-icon-map-wrap">
        <IconMap />
      </div>

      <div className="struninnyoutube-subscriber-count-box-content">
        <p className="struninnyoutube-subscriber-count-text">{props.data.statistics.subscriberCount}</p>
        <p className="struninnyoutube-channel-name">{props.data.snippet.title}</p>
        <p className="struninnyoutube-subscriber-live-count-text">{struninnyoutubeSubcountTranslation.subscribers_live_count}</p>
      {
        !props.hideSubscribeButton &&
          <a className="struninnyoutube-button struninnyoutube-button_small" href={struninnyoutubeSubcountConstants.channelSubscribeURL} target="_blank">{struninnyoutubeSubcountTranslation.subscribe}</a>
      }
      </div>
    </div>
  );
};

export { SubscriberCountV4 as default };