<?php
/**
 * Functions - Translation
 * 
 * @package Struninn YouTube
 * 
 * @since 1.0.0
 * 
 * @author Odin Design Themes (https://odindesignthemes.com/)
 * 
 */

if (!function_exists('struninnyoutube_subcount_translation_get')) {
  /**
   * Returns translation strings for dynamic scripts.
   * 
   * @since 1.0.0
   * 
   * @return array $translation_strings     Translation strings.
   */
  function struninnyoutube_subcount_translation_get() {
    $translation_strings = [
      'subscribers_live_count'  => esc_html__('Subscribers Live Count', 'struninnyoutube_subcount'),
      'subs_live_count'         => esc_html__('Subs Live Count', 'struninnyoutube_subcount'),
      'subscribe'               => esc_html__('Subscribe', 'struninnyoutube_subcount')
    ];

    return $translation_strings;
  }
}

?>