<?php
/**
 * Functions
 * 
 * @package Struninn YouTube
 * 
 * @since 1.0.0
 * 
 * @author Odin Design Themes (https://odindesignthemes.com/)
 * 
 */

/**
 * Cache
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/cache/struninnyoutube-functions-cache.php';

/**
 * Translation
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-translation.php';

/**
 * Utils
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-utils.php';

/**
 * Plugin
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-plugin.php';

/**
 * Error
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-error.php';

/**
 * API
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-api.php';

/**
 * Endpoint
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-endpoint.php';

/**
 * Template
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/template/struninnyoutube-functions-template.php';

/**
 * Shortcode
 */
require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/struninnyoutube-functions-shortcode.php';

/**
 * Load Elementor related functions
 * if the plugin is installed and active
 */
if (struninnyoutube_plugin_elementor_is_active()) {
  /**
   * Elementor
   */
  require_once STRUNINNYOUTUBE_SUBCOUNT_PATH . 'includes/functions/elementor/struninnyoutube-functions-elementor.php';
}

?>