<?php
/**
 * REST
 * 
 * @package Struninn YouTube
 * 
 * @since 1.0.0
 * 
 * @author Odin Design Themes (https://odindesignthemes.com/)
 * 
 */

if (!function_exists('struninnyoutube_subcount_rest_routes_register')) {
  /**
   * Register REST routes.
   * 
   * @since 1.0.0
   */
  function struninnyoutube_subcount_rest_routes_register() {
    register_rest_route('struninnyoutube/v1', '/channel', [
      'methods'   => 'GET',
      'callback'  => function () {
        return struninnyoutube_channel_get();
      },
      'permission_callback' => '__return_true'
    ]);
  }
}

add_action('rest_api_init', 'struninnyoutube_subcount_rest_routes_register');

?>