import React from 'react';

import IconMap from '../../icon/IconMap';
import IconYouTube from '../../icon/IconYouTube';

const SubscriberCountV3 = (props) => {
  return (
    <div className="struninnyoutube-subscriber-count-box struninnyoutube-subscriber-count-box_v3">
      <div className="struninnyoutube-icon-map-wrap">
        <IconMap />
      </div>

      <div className="struninnyoutube-subscriber-count-box-content">
        <div className="struninnyoutube-channel-box">
          <div className="struninnyoutube-channel-avatar-box">
            <img className="struninnyoutube-channel-avatar" src={props.data.snippet.thumbnails.default.url}></img>
          </div>

          <div className="struninnyoutube-channel-details">
            <div className="struninnyoutube-channel-details-item">
              <IconYouTube size="small"/>
              <p className="struninnyoutube-subscriber-count-text">{props.data.statistics.subscriberCount}</p>
            </div>

            <p className="struninnyoutube-channel-name">{props.data.snippet.title} <span>{struninnyoutubeSubcountTranslation.subs_live_count}</span></p>
          </div>
        </div>
      {
        !props.hideSubscribeButton &&
          <a className="struninnyoutube-button" href={struninnyoutubeSubcountConstants.channelSubscribeURL} target="_blank">{struninnyoutubeSubcountTranslation.subscribe}</a>
      }
      </div>
    </div>
  );
};

export { SubscriberCountV3 as default };