import SubscriberCountV1 from './subscriberCount-template/SubscriberCountV1';
import SubscriberCountV2 from './subscriberCount-template/SubscriberCountV2';
import SubscriberCountV3 from './subscriberCount-template/SubscriberCountV3';
import SubscriberCountV4 from './subscriberCount-template/SubscriberCountV4';

const getSubscriberCountTemplate = (template = 'v1') => {
  switch (template) {
    case 'v2':
      return SubscriberCountV2;
    case 'v3':
      return SubscriberCountV3;
    case 'v4':
      return SubscriberCountV4;
    default:
      return SubscriberCountV1;
  }
};

export {
  getSubscriberCountTemplate
};