import loadChannelSubscriberCountComponent from '../../../component/subscriberCount/SubscriberCountDOM';

class StruninnYouTube_Elementor_Handler_Channel_Subscriber_Count extends elementorModules.frontend.handlers.Base {
  getDefaultElements() {
    const channelSubscriberCountElement = this.$element[0].querySelector('.struninnyoutube-subscriber-count');

    if (channelSubscriberCountElement) {
      loadChannelSubscriberCountComponent([channelSubscriberCountElement]);
    }

    return {
      channelSubscriberCount: channelSubscriberCountElement
    };
  }
}

window.addEventListener('elementor/frontend/init', () => {
  const addHandler = ($element) => {
    elementorFrontend.elementsHandler.addHandler(StruninnYouTube_Elementor_Handler_Channel_Subscriber_Count, {$element});
  };

  elementorFrontend.hooks.addAction('frontend/element_ready/struninnyoutube_elementor_widget_channel_subscriber_count.default', addHandler);
});