import Fetcher from '../fetcher/Fetcher';

const youtubeEndpointURLGet = (endpoint, params = {}) => {
  let endpointURL = `${struninnyoutubeSubcountConstants.restURL}${endpoint}`;

  if (Object.keys(params).length > 0) {
    const paramValues = [];

    for (const param in params) {
      paramValues.push(`${param}=${params[param]}`);
    }

    endpointURL = `${endpointURL}?${paramValues.join('&')}`;
  }

  // console.log('youtubeEndpointURLGet - endpointURL: ', endpointURL, params);

  return endpointURL;
};

const youtubeEndpointDataGet = (endpoint, params = {}) => {
  const endpointURL = youtubeEndpointURLGet(endpoint, params);

  return Fetcher.get(endpointURL);
};

export { youtubeEndpointDataGet as default };